[arch-commits] Commit in python-mongoengine/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Mar 12 10:48:53 UTC 2019


    Date: Tuesday, March 12, 2019 @ 10:48:52
  Author: felixonmars
Revision: 440619

upgpkg: python-mongoengine 0.17.0-1

Modified:
  python-mongoengine/trunk/PKGBUILD

----------+
 PKGBUILD |   13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-12 09:37:26 UTC (rev 440618)
+++ PKGBUILD	2019-03-12 10:48:52 UTC (rev 440619)
@@ -4,7 +4,7 @@
 
 pkgbase=python-mongoengine
 pkgname=(python-mongoengine python2-mongoengine)
-pkgver=0.16.3
+pkgver=0.17.0
 pkgrel=1
 pkgdesc="A Python Object-Document-Mapper for working with MongoDB"
 url="https://github.com/MongoEngine/mongoengine"
@@ -12,13 +12,16 @@
 arch=('any')
 makedepends=('python-setuptools' 'python2-setuptools' 'python-pymongo' 'python2-pymongo')
 checkdepends=('python-nose' 'python2-nose' 'python-coverage' 'python2-coverage'
-              'python-blinker' 'python2-blinker' 'python-pillow' 'python2-pillow' 'pifpaf' 'mongodb'
+              'python-blinker' 'python2-blinker' 'python-pillow' 'python2-pillow'
               'python-mongomock' 'python2-mongomock')
 source=("$pkgbase-$pkgver.tar.gz::https://github.com/MongoEngine/mongoengine/archive/v$pkgver.tar.gz")
-sha512sums=('9bde9eca879f5201f6722843f790d127021929325d96b400b0d784718bc0f0f7902055e99ca15d1170e25363886a0d5457d3ba1c0fd32e155c86fc96fe2313e6')
+sha512sums=('8bd15f72cc312aee29b926c5a222bed330d7903c804e5f73e268ebcc686b433ff01f79f0a271661d8ed791ca3ea6cba2b787d7646a08e957822782f1876ed508')
 
 prepare() {
   sed -i 's/coverage==/coverage>=/' mongoengine-$pkgver/setup.py
+  sed -e 's|mongodb://|mongomock://|g' \
+      -e "s|connect(db='mongoenginetest')|connect(db='mongoenginetest', is_mock=True)|" \
+      -i mongoengine-$pkgver/tests/*.py mongoengine-$pkgver/tests/*/*.py
   cp -a mongoengine-$pkgver{,-py2}
 }
 
@@ -32,10 +35,10 @@
 
 check() {
   cd "$srcdir"/mongoengine-$pkgver
-  pifpaf run mongodb --port 27017 python setup.py nosetests || warning "Tests failed"
+  python setup.py nosetests || warning "Tests failed"
 
   cd "$srcdir"/mongoengine-$pkgver-py2
-  pifpaf run mongodb --port 27017 python2 setup.py nosetests || warning "Tests failed"
+  python2 setup.py nosetests || warning "Tests failed"
 }
 
 package_python-mongoengine() {


More information about the arch-commits mailing list